GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment Class Reference

## Public Member Functions
List< String > | getShipmentReference ()
String | getIncotermCode ()
void | setIncotermCode (String value)
String | getIdentifier ()
void | setIdentifier (String value)
String | getMiddleware ()
void | setMiddleware (String value)
String | getPartnerParcelNumber ()
void | setPartnerParcelNumber (String value)
Consignee | getPickUp ()
void | setPickUp (Consignee value)
eu.gls_group.fpcs.v1.common.Shipper | getRequester ()
void | setRequester (eu.gls_group.fpcs.v1.common.Shipper value)
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Shipper | getDelivery ()
void | setDelivery (eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Shipper value)
List< CreatePickupService > | getService ()
List< PickUpShipmentUnit > | getShipmentUnit ()

## Protected Attributes
List< String > | shipmentReference
String | incotermCode
String | identifier
String | middleware
String | partnerParcelNumber
Consignee | pickUp
eu.gls_group.fpcs.v1.common.Shipper | requester
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Shipper | delivery
List< CreatePickupService > | service
List< PickUpShipmentUnit > | shipmentUnit

## Detailed Description

Shipment attributes

Java class for PickUpShipment complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="PickUpShipment">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ShipmentReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" maxOccurs="unbounded" minOccurs="0"/>
            <element name="IncotermCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Identifier" type="{http://fpcs.gls-group.eu/v1/Common}ShipmentIdentifier" minOccurs="0"/>
            <element name="Middleware" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="PartnerParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="PickUp" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}Consignee" minOccurs="0"/>
            <element name="Requester" type="{http://fpcs.gls-group.eu/v1/Common}Shipper"/>
            <element name="Delivery" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}Shipper"/>
            <element name="Service" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}CreatePickupService" maxOccurs="unbounded"/>
            <element name="ShipmentUnit" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}PickUpShipmentUnit" maxOccurs="unbounded"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 56 of file PickUpShipment.java.

## Member Function Documentation

## ◆ getDelivery()

eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Shipper eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.getDelivery | ( |  | ) |

Gets the value of the delivery property.

Returns
  possible object is eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Shipper

Definition at line 260 of file PickUpShipment.java.

## ◆ getIdentifier()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.getIdentifier | ( |  | ) |

Gets the value of the identifier property.

Returns
  possible object is String

Definition at line 140 of file PickUpShipment.java.

## ◆ getIncotermCode()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.getIncotermCode | ( |  | ) |

Gets the value of the incotermCode property.

Returns
  possible object is String

Definition at line 116 of file PickUpShipment.java.

## ◆ getMiddleware()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.getMiddleware | ( |  | ) |

Gets the value of the middleware property.

Returns
  possible object is String

Definition at line 164 of file PickUpShipment.java.

## ◆ getPartnerParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.getPartnerParcelNumber | ( |  | ) |

Gets the value of the partnerParcelNumber property.

Returns
  possible object is String

Definition at line 188 of file PickUpShipment.java.

## ◆ getPickUp()

Consignee eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.getPickUp | ( |  | ) |

Gets the value of the pickUp property.

Returns
  possible object is Consignee

Definition at line 212 of file PickUpShipment.java.

## ◆ getRequester()

eu.gls_group.fpcs.v1.common.Shipper eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.getRequester | ( |  | ) |

Gets the value of the requester property.

Returns
  possible object is eu.gls_group.fpcs.v1.common.Shipper

Definition at line 236 of file PickUpShipment.java.

## ◆ getService()

List<CreatePickupService> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.getService | ( |  | ) |

Gets the value of the service property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the service property.

For example, to add a new item, do as follows:

       getService().add(newItem);

Objects of the following type(s) are allowed in the list CreatePickupService

Definition at line 298 of file PickUpShipment.java.

## ◆ getShipmentReference()

List<String> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.getShipmentReference | ( |  | ) |

Gets the value of the shipmentReference property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentReference property.

For example, to add a new item, do as follows:

       getShipmentReference().add(newItem);

Objects of the following type(s) are allowed in the list String

Definition at line 101 of file PickUpShipment.java.

## ◆ getShipmentUnit()

List<PickUpShipmentUnit> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.getShipmentUnit | ( |  | ) |

Gets the value of the shipmentUnit property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentUnit property.

For example, to add a new item, do as follows:

       getShipmentUnit().add(newItem);

Objects of the following type(s) are allowed in the list PickUpShipmentUnit

Definition at line 327 of file PickUpShipment.java.

## ◆ setDelivery()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.setDelivery | ( | eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Shipper | value | ) |

Sets the value of the delivery property.

Parameters

  value | allowed object is eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Shipper

Definition at line 272 of file PickUpShipment.java.

## ◆ setIdentifier()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.setIdentifier | ( | String | value | ) |

Sets the value of the identifier property.

Parameters

  value | allowed object is String

Definition at line 152 of file PickUpShipment.java.

## ◆ setIncotermCode()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.setIncotermCode | ( | String | value | ) |

Sets the value of the incotermCode property.

Parameters

  value | allowed object is String

Definition at line 128 of file PickUpShipment.java.

## ◆ setMiddleware()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.setMiddleware | ( | String | value | ) |

Sets the value of the middleware property.

Parameters

  value | allowed object is String

Definition at line 176 of file PickUpShipment.java.

## ◆ setPartnerParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.setPartnerParcelNumber | ( | String | value | ) |

Sets the value of the partnerParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 200 of file PickUpShipment.java.

## ◆ setPickUp()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.setPickUp | ( | Consignee | value | ) |

Sets the value of the pickUp property.

Parameters

  value | allowed object is Consignee

Definition at line 224 of file PickUpShipment.java.

## ◆ setRequester()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.setRequester | ( | eu.gls_group.fpcs.v1.common.Shipper | value | ) |

Sets the value of the requester property.

Parameters

  value | allowed object is eu.gls_group.fpcs.v1.common.Shipper

Definition at line 248 of file PickUpShipment.java.

## Member Data Documentation

## ◆ delivery

eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.Shipper eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.delivery
| protected

Definition at line 73 of file PickUpShipment.java.

## ◆ identifier

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.identifier
| protected

Definition at line 63 of file PickUpShipment.java.

## ◆ incotermCode

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.incotermCode
| protected

Definition at line 61 of file PickUpShipment.java.

## ◆ middleware

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.middleware
| protected

Definition at line 65 of file PickUpShipment.java.

## ◆ partnerParcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.partnerParcelNumber
| protected

Definition at line 67 of file PickUpShipment.java.

## ◆ pickUp

Consignee eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.pickUp
| protected

Definition at line 69 of file PickUpShipment.java.

## ◆ requester

eu.gls_group.fpcs.v1.common.Shipper eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.requester
| protected

Definition at line 71 of file PickUpShipment.java.

## ◆ service

List<CreatePickupService> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.service
| protected

Definition at line 75 of file PickUpShipment.java.

## ◆ shipmentReference

List<String> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.shipmentReference
| protected

Definition at line 59 of file PickUpShipment.java.

## ◆ shipmentUnit

List<PickUpShipmentUnit> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PickUpShipment.shipmentUnit
| protected

Definition at line 77 of file PickUpShipment.java.

The documentation for this class was generated from the following file:

- PickUpShipment.java